function labels = get_GTclasslabels(gtseg, gtcols, ignore_classes, DATASET_NAME)

if nargin < 4, DATASET_NAME = 'msrc'; end;
if nargin < 2
   [classes, gtcols] = getclassinfo(DATASET_NAME);
end;   
   %classes = filterclasses(classes, ignore_classes);
if nargin > 2 & numel(ignore_classes)
   gtcols(ignore_classes,:) = [];
end;

gtseg = double(gtseg);
labels = zeros(size(gtseg, 1), size(gtseg, 2));
if size(gtseg, 3) > 1
   colslack = 2;
else
    colslack = 0;
end;

if size(gtseg,3)>1
for i = 1 : size(gtcols, 1)
    temp = ones(size(gtseg, 1), size(gtseg, 2));
    for k=1:size(gtseg, 3)
        temp = temp .* (abs(gtseg(:,:,k)-gtcols(i, k))<= colslack);
    end;
    ind = find(temp);
    labels(ind) = i;
end;
else
labels=gtseg + 1;
%labels(find(gtseg==255)) = 0;
end;