function data = objects_loadim(fileformats, imfiles, im_num, obj_num, data, handles, show, col)

annotationfileformat = fileformats.annotationfileformat;
annotationfile = sprintf(annotationfileformat,imfiles(im_num).imname);
%---------------

global annotation;
clear('annotation');
%---------------
% files to read

if ~isfield(data, 'im')
   im = imread(sprintf(fileformats.imfileformat, imfiles(im_num).imname));
   data.im = im;
else
    im = data.im;
end;

if exist(annotationfile, 'file')
    load(annotationfile, 'annotation');
else
    annotation = [];
    [~, name, ext] = fileparts(imfiles(im_num).name);
    annotation.imname = name;
    annotation.name = [name ext];
    annotation.class = [];
    annotation.bboxes = [];
    annotation.imsize = size(data.im);
end;
%sentence = '';
data.annotationfile = annotationfile;



data.annotation = annotation;
show.im_num = im_num;

view_objects_plots(handles.h1, handles.h2, handles.hImage, im, annotation, obj_num, show, col, data);
